# 唱唱英语公共组件库

## 介绍
> 为提高开发效率、减少开发时间，将部分通用组件封装发布到NPM


## 安装
``` bash
# UI框架依赖 vant
npm i vant -S

# 按照依赖
npm i cc-english-component

# 全局引入
import CCEnglishComponent from 'cc-english-component'

Vue.use(CCEnglishComponent)

```

## 组件列表

### cc-english-h5-swipe
![cc-english-h5-swipe](https://media.changchangenglish.com/new-sing/f191aa920553575d95a86e218ad46e089eeac90a.png "cc-english-h5-swipe")
****
### cc-english-h5-login
![cc-english-h5-login](https://media.changchangenglish.com/new-sing/a3d4e9ad87d923491f066f42ada05571ebdcb153.png "cc-english-h5-login")
****
### cc-english-h5-image-list
![cc-english-h5-image-list](https://media.changchangenglish.com/new-sing/41bdac1d6c593b79438a2a16d24e535924a835d3.png "cc-english-h5-image-list")
****
### cc-english-website-course
![cc-english-website-course](https://media.changchangenglish.com/new-sing/49249cfc3be3b0b51a76fca81d50ac64c5b177b6.png "cc-english-website-course")
****
### cc-english-website-scenery
![cc-english-website-scenery](https://media.changchangenglish.com/new-sing/91eabfff395388a309b30d268b61249b9646ca10.png "cc-english-website-scenery")
****
### cc-english-website-school
![cc-english-website-school](https://media.changchangenglish.com/new-sing/4920bead6e830308c78d7bc970368403724a1549.png "cc-english-website-school")
****
### cc-english-website-students
![cc-english-website-students](https://media.changchangenglish.com/new-sing/1e472352d6f43866082d82df25207e4c98bbefc7.png "cc-english-website-students")
****
### cc-english-website-teacher
![cc-english-website-teacher](https://media.changchangenglish.com/new-sing/5d4a8d1265ba9aa20cad0f2150e53fd5af5ca3c8.png "cc-english-website-teacher")
****
## cc-english-website-brand
![cc-english-website-brand](https://media.changchangenglish.com/new-sing/8bfd52e73e295df4d62c367e1ae70e2a1c62ab41.png "cc-english-website-brand")

## 更新日志
    - v0.0.1 新增 cc-english-h5-login 组件
    - v0.0.19 新增 cc-english-h5-swipe 组件
    - v0.0.19 新增 cc-english-h5-image-list 组件
    - v0.0.32 新增 cc-english-website 系列组件
    - v0.0.33 新增 cc-english-website-brand 组件、补充cc-english-website 系列组件实例文档
### 文档（更多文档）
    -详细文档在组件目录下README.md

