import CCEnglishH5Login from './cc-english-h5-login/index'
import CCEnglishH5Group from './cc-english-h5-group/index'
import CCEnglishH5Swipe from './cc-english-h5-swipe/index'
import CCEnglishH5ImageList from './cc-english-h5-image-list/index'
import CCEnglishWebsiteSchool from './cc-english-website-school'
import CCEnglishWebsiteCourse from './cc-english-website-course'
import CCEnglishWebsiteTeacher from './cc-english-website-teacher'
import CCEnglishWebsiteStudents from './cc-english-website-students'
import CCEnglishWebsiteScenery from './cc-english-website-scenery'
import CCEnglishWebsiteBrand from './cc-english-website-brand'

const components = [
  CCEnglishH5Login,
  CCEnglishH5Group,
  CCEnglishH5Swipe,
  CCEnglishH5ImageList,
  CCEnglishWebsiteSchool,
  CCEnglishWebsiteCourse,
  CCEnglishWebsiteTeacher,
  CCEnglishWebsiteStudents,
  CCEnglishWebsiteScenery,
  CCEnglishWebsiteBrand
]

const install = (Vue) => {
  if (install.installed) return;

  components.map(m => Vue.component(m.name, m))
}

// 判断是否是直接引入文件
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  install,
  CCEnglishH5Login,
  CCEnglishH5Group,
  CCEnglishH5Swipe,
  CCEnglishH5ImageList,
  CCEnglishWebsiteSchool,
  CCEnglishWebsiteCourse,
  CCEnglishWebsiteTeacher,
  CCEnglishWebsiteStudents,
  CCEnglishWebsiteScenery,
  CCEnglishWebsiteBrand
}
